Loading...
Searching...
No Matches
ranges::raw_storage_iterator< O, Val > Struct Template Reference
Utility

## Public Types

using | difference_type = iter_difference_t< O >

## Public Member Functions

O | base () const
raw_storage_iterator & | operator* () noexcept
raw_storage_iterator & | operator++ ()
auto | operator++ (int) -> raw_storage_iterator
auto | operator++ (int) -> void
auto | operator= (Val &&val) -> raw_storage_iterator &
auto | operator= (Val const &val) -> raw_storage_iterator &
| raw_storage_iterator (O out)